Bug 973567 - [EAP610 development guide translation to Japanese] 13.2.10. Use Role-Based Security In Servlets
[EAP610 development guide translation to Japanese] 13.2.10. Use Role-Based Se...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Localization (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jito
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 04:44 EDT by Hisanobu Okuda
Modified: 2013-06-18 20:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.10 Build Name: 11864, Development Guide-6.1-3 Build Date: 23-05-2013 03:02:03 Topic ID: 31428-441791 [Specified]
Last Closed: 2013-06-18 20:43:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hisanobu Okuda 2013-06-12 04:44:31 EDT
Title: サーブレットでのロールベースセキュリティーの使用

Describe the issue:

1)
セキュリティー制約は、URL の ロールへのアクセスを制限します。認証と承認は WAR の jboss-web.xml に指定されたセキュリティードメインによって処理されます。 

2)
次の例は、ロール eap_admin を持つプリンシパルによる URL パターン /DisplayOpResult のアクセスを制約します。セキュリティードメインにロールが存在していなければなりません。 

3)
セキュリティー制約に対してプリンシパルを認証および承認する方法を認識している設定済みのセキュリティーにサーブレットを接続するため、WAR の jboss-web.xml にセキュリティードメインを追加します。次の例は acme_domain というセキュリティードメインを使用します。 

Suggestions for improvement:

1)
セキュリティー制約は、ロールに対して URL へのアクセスを制限します。認証と承認は WAR の jboss-web.xml に指定されたセキュリティードメインによって処理されます。 

2)
次の例は、URL パターン /DisplayOpResult のアクセスを、ロール eap_admin を持つプリンシパルのみに許可します。セキュリティードメインにロールが存在していなければなりません。 

3)
セキュリティードメインにサーブレットを接続するため、WAR の jboss-web.xml にセキュリティードメインを追加します。セキュリティードメインにはセキュリティー制約に対してプリンシパルを認証および承認する方法が設定されています。次の例は acme_domain というセキュリティードメインを使用します。 



Additional information:
Comment 1 jito 2013-06-17 00:02:07 EDT
EAP 6.1.0 Development Guide has not yet published in Japanese.  Will fix the bugs in EAP 6.0.0.
Comment 2 jito 2013-06-17 01:14:20 EDT
Corrected the existing translation in accordance with the suggestions. Will be fixed for the next release.
Comment 3 jito 2013-06-17 21:29:11 EDT
The same corrections made for 6.1, which has not been published.

Note You need to log in before you can comment on or make changes to this bug.